Subject: Re: [PATCH v5 6/7] t-reftable-pq: add test for index based comparison

From: Junio C Hamano <[email-masked]>
Date: Wed, 24 Jul 2024 09:15:31 -0700

Patrick Steinhardt <[email-masked]> writes:

> One of those reasons that we use the modulo-loops in the other tests is
> so that the order in which entries are added is mixed. Here we add them
> in priority order already, so that makes the test less interesting. We
> might thus want to do the same here and scramble the order a bit.

Wouldn't modulo-loops mean the total number of elements must be
prime with the skip count, or something, which in turn means that it
is harder to test certain corner cases of the underlying data
structure (e.g. "what if the length is exactly a power of two?  A
power of two plus one?  A power of two minus one?"  etc.)

It certainly is much better than just inserting in the priority
order (or in the reverse priority order).

Thanks.